body {
    font-family: Arial, sans-serif;
    background-color: #f0f0f0;
    margin: 0;
    padding: 0;
}

header {
    background-color: #0FB1C6;
    color: white;
    padding: 10px 0;
    text-align: center;
}

h2 {
    text-align: center;
}

nav ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
    background-color: #333;
    text-align: center;
}

nav ul li {
    display: inline;
    margin-right: 10px;
}

nav ul li a {
    text-decoration: none;
    color: white;
    padding: 10px;
    display: inline-block;
}

nav ul li a:hover {
    background-color: #4CAF50;
}

main {
    padding: 20px;
    background-color: white;
    display: flex;
    justify-content: space-between;
}

footer {
    background-color: #333;
    color: white;
    text-align: center;
    padding: 10px 0;
    position: fixed;
    width: 100%;
    bottom: 0;
}

.centered {
    text-align: center;
    margin: 0 auto;
}

.hidden {
    display: none;
}

/* Memory Spiel Styles */
#gameBoard {
    display: grid;
    grid-template-columns: repeat(8, 100px); /* 8 Spalten für 48 Felder */
    grid-gap: 10px;
    justify-content: center;
    margin-top: 20px;
	

}

.card {
    width: 100px;
    height: 100px;
    background-color: #ccc;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 24px;
    font-weight: bold;
    background-size: cover;
    position: relative;
}

.card.flipped {
    background-color: #fff;
    background-size: cover;
}

.small-card {
    width: 75px; /* 75% der Originalgröße */
    height: 75px; /* 75% der Originalgröße */
}

#message {
    margin-top: 20px;
}

button {
    margin-top: 20px;
    padding: 10px 20px;
    background-color: #4CAF50;
    color: white;
    border: none;
    cursor: pointer;
}

button:hover {
    background-color: #45a049;
}

.pair-row {
    display: flex;
    justify-content: center;
}

.pair img {
    width: 50px;
    height: 50px;
    margin: 0 5px;
}

#playerSide, #computerSide {
    width: 20%;
    position: relative;
}

#gameBoard {
    width: 60%;
}
